import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { AbstractAddComponent } from '../../../shared/abstracts/add/abstract-add/abstract-add.component';
import { ICarePlan, IPatient } from '@ahryman40k/ts-fhir-types/lib/R4';
import { FormGroup } from '@angular/forms';
import { ModalController } from '@ionic/angular';
import { AssociativeArray } from '../../../user/login/shared/ass-array.model';
import { TranslatePipe } from '../../../shared/translate/pipes/translate.pipe';
export declare class GeneralCarePlanComponent extends AbstractAddComponent<ICarePlan> implements OnInit, OnChanges {
    modalController: ModalController;
    private translate;
    patient: IPatient;
    user: any;
    callHistory: EventEmitter<any>;
    modalComponents: AssociativeArray;
    constructor(modalController: ModalController, translate: TranslatePipe);
    ngOnInit(): void;
    ngOnChanges(): void;
    init(): void;
    save(inData: ICarePlan): void;
    openHistory(): void;
    resetForm(): FormGroup;
    openModal(componentName: string): Promise<void>;
    activateUser(): void;
}
